/** 
    Copyright 2002 Cyril Picard

    This file is part of the GEDCOMViewer tool 
    (developed within the Genealogy Free Software Tools project).

    The GEDCOMViewer tool is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    The GEDCOMViewer tool is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the GEDCOMViewer tool ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

**/
#ifndef _BAKERY_GATEWAY_DOCUMENT_HH_
#define _BAKERY_GATEWAY_DOCUMENT_HH_


#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "bakery/bakery.h"
#include "GEDCOMParser/LineageLinkageGedcom.hh"

namespace BakeryGateway {
  class Document : public Bakery::Document,
		   public GEDCOMParser::LineageLinkageGedcom
  {
  public:
    Document(void); 
    virtual ~Document(void) {}
    virtual bool load(void);
    virtual bool save(void);
    virtual void set_filepath(const std::string& strVal, bool bEnforceFileExtension = false);
    void init(void);
  private:
  };
};

#endif
