/** 
    Copyright 2002 Cyril Picard

    This file is part of the GEDCOMViewer tool 
    (developed within the Genealogy Free Software Tools project).

    The GEDCOMViewer tool is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    The GEDCOMViewer tool is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the GEDCOMViewer tool ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

**/
#include "BakeryGateway/ViewHeader.hh"

BakeryGateway::ViewHeader::ViewHeader(void)
{
  return;
}


BakeryGateway::ViewHeader::~ViewHeader(void)
{
  return;
}


void BakeryGateway::ViewHeader::load_from_document(void)
{
  Document * doc;
  doc = get_document();
  _mmi_header.Clear();
  _mmi_header.setSourceName(doc->getHeader()->getName());
  _mmi_header.setSourceVersion(doc->getHeader()->getVers());
  _mmi_header.setSourceCorp(doc->getHeader()->getCorp());
  _mmi_header.setTransmissionDate(doc->getHeader()->getDate());
  _mmi_header.setTransmissionNote(doc->getHeader()->getNote());
  return;
}

void BakeryGateway::ViewHeader::save_to_document(void)
{
  return;
}

MMIHeaderDialog * const BakeryGateway::ViewHeader::getMMI(void) 
{
  return &_mmi_header;
}

