/** 
    Copyright 2002 Cyril Picard

    This file is part of the GEDCOMViewer tool 
    (developed within the Genealogy Free Software Tools project).

    The GEDCOMViewer tool is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    The GEDCOMViewer tool is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the GEDCOMViewer tool ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

**/
#ifndef _BAKERYGATEWAY_VIEWINDIVIDUALEVENTS_HH_
#define _BAKERYGATEWAY_VIEWINDIVIDUALEVENTS_HH_

#include "config.h"
#include "BakeryExtras/View_Linked.hh"
#include "BakeryExtras/View_RunTimeSubscriber.hh"
#include "BakeryGateway/Document.hh"
#include "widgets/WidgetNote.hh"
#include "GEDCOMParser/IndividualEvent.hh"
#include "MMIIndividualEvents.hh"
#include "GEDCOMParser/IndividualRecord.hh"
#include <sigc++/object.h>

namespace BakeryGateway {
  class ViewIndividualEvents : public BakeryExtras::View_Linked < BakeryGateway::Document, GEDCOMParser::IndividualRecord >,
			       public BakeryExtras::View_RunTimeSubscriber < BakeryGateway::Document,  GEDCOMParser::Event, WidgetNote >,
			       public SigC::Object
  
  {
  public:
    ViewIndividualEvents(MMIIndividualEvents *);
    ~ViewIndividualEvents();
    virtual void load_from_document();
  private:
    MMIIndividualEvents * _mmi_individual_events;
    void loadEventList(void);
  };
};

#endif
