/** 
    Copyright 2002 Cyril Picard

    This file is part of the GEDCOMViewer tool 
    (developed within the Genealogy Free Software Tools project).

    The GEDCOMViewer tool is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    The GEDCOMViewer tool is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the GEDCOMViewer tool ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

**/

#ifndef _EDITABLE_MENU_ITEM_HH_
#define _EDITABLE_MENU_ITEM_HH_

#include <gtk--/menuitem.h>
#include <gtk--/entry.h>

class EditableMenuItem : public Gtk::MenuItem
{
public:
  EditableMenuItem(void);
  void set_text(std::string const &value);
  std::string const &get_text(void) const;
  typedef int ChangeReturnHandler_t;
  typedef SigC::Signal0 < ChangeReturnHandler_t > ChangeSignalHandler_t;
  ChangeSignalHandler_t &changed(void);
private:
  Gtk::Entry * _entry;
  ChangeSignalHandler_t _changed_signal;
  void changed_emit(void);
  std::string _values;
  
};

#endif
