/** 
    Copyright 2002 Cyril Picard

    This file is part of the GEDCOMViewer tool 
    (developed within the Genealogy Free Software Tools project).

    The GEDCOMViewer tool is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    The GEDCOMViewer tool is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the GEDCOMViewer tool ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

**/

#ifndef _MENU_ITEM_HH_
#define _MENU_ITEM_HH_

#include <string>
#include <vector>

class MenuItem
{
public:
  enum _enumMenuItemType
    {
      ///
      e_Change,
      ///
      e_New,
      ///
      e_Unlink
      ///
    };
  typedef enum _enumMenuItemType enumMenuItemType;
  MenuItem(std::string const &label, std::string const &value, std::string const &id, enumMenuItemType type) :
    _label(label),
    _value(value),
    _id(id),
    _type(type)
  {};
  std::string const &getLabel(void) const;
  std::string const &getValue(void) const;
  std::string const &getId(void) const;
  enumMenuItemType const &getType(void) const;
private:
  std::string _label;
  std::string _value;
  std::string _id;
  enumMenuItemType _type;
};

typedef std::vector < MenuItem * > OneMenuItems_t;
typedef std::vector <  OneMenuItems_t > MenuItems_t;

#endif
