/** 
    Copyright 2002 Cyril Picard

    This file is part of the GEDCOMViewer tool 
    (developed within the Genealogy Free Software Tools project).

    The GEDCOMViewer tool is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    The GEDCOMViewer tool is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with the GEDCOMViewer tool ; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

**/
#include "windownote.hh"
#include <gtk--/label.h>
#include <gtk--/clist.h>
#include <gtk--/scrolledwindow.h>
#include <gtk--/frame.h>
#include <gtk--/pixmap.h>
#include <gtk--/button.h>
#include <gtk--/notebook.h>
#include <gtk--/tree.h>
#include <gtk--/list.h>
#include <gtk--/ctree.h>
#include <gtk--/table.h>
#include <gtk--/main.h>

windownote::windownote(
) : Gtk::Window(GTK_WINDOW_TOPLEVEL)
{  
   Gtk::Window *window1 = this;
   Gtk::CList *clist1 = manage(new class Gtk::CList(3));
   Gtk::ScrolledWindow *scrolledwindow1 = manage(new class Gtk::ScrolledWindow());
   Gtk::Frame *frame1 = manage(new class Gtk::Frame());
   WidgetNote = manage(new class WidgetNote());
   
   Gtk::Pixmap *pixmap1 = manage(new class Gtk::Pixmap());
   Gtk::Button *button1 = manage(new class Gtk::Button("button1"));
   Gtk::Frame *frame2 = manage(new class Gtk::Frame());
   Gtk::Label *label4 = manage(new class Gtk::Label("label4"));
   Gtk::Label *label10 = manage(new class Gtk::Label("label10"));
   Gtk::Label *label5 = manage(new class Gtk::Label("label5"));
   Gtk::Label *label11 = manage(new class Gtk::Label("label11"));
   Gtk::Label *label6 = manage(new class Gtk::Label("label6"));
   Gtk::Notebook *notebook1 = manage(new class Gtk::Notebook());
   Gtk::Tree *tree1 = manage(new class Gtk::Tree());
   Gtk::List *list1 = manage(new class Gtk::List());
   Gtk::CTree *ctree1 = manage(new class Gtk::CTree(3));
   Gtk::ScrolledWindow *scrolledwindow2 = manage(new class Gtk::ScrolledWindow());
   Gtk::Table *table1 = manage(new class Gtk::Table(3, 3, false));
   clist1->set_column_title(0, "label1");
   clist1->set_column_justification(0, GTK_JUSTIFY_CENTER);
   clist1->set_column_width(0, 80);
   clist1->set_column_title(1, "label2");
   clist1->set_column_justification(1, GTK_JUSTIFY_CENTER);
   clist1->set_column_width(1, 80);
   clist1->set_column_title(2, "label3");
   clist1->set_column_justification(2, GTK_JUSTIFY_CENTER);
   clist1->set_column_width(2, 80);
   clist1->column_titles_show();
   scrolledwindow1->set_policy(GTK_POLICY_ALWAYS, GTK_POLICY_ALWAYS);
   scrolledwindow1->add(*clist1);
   frame1->set_label_align(0, 0);
   frame1->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame1->add(*scrolledwindow1);
   pixmap1->set_alignment(0.5, 0.5);
   pixmap1->set_padding(0, 0);
   button1->set_flags(GTK_CAN_FOCUS);
   frame2->set_label_align(0, 0);
   frame2->set_shadow_type(GTK_SHADOW_ETCHED_IN);
   frame2->add(*button1);
   label4->set_alignment(0.5, 0.5);
   label4->set_padding(0, 0);
   label10->set_alignment(0.5, 0.5);
   label10->set_padding(0, 0);
   label5->set_alignment(0.5, 0.5);
   label5->set_padding(0, 0);
   label11->set_alignment(0.5, 0.5);
   label11->set_padding(0, 0);
   label6->set_alignment(0.5, 0.5);
   label6->set_padding(0, 0);
   notebook1->set_flags(GTK_CAN_FOCUS);
   notebook1->set_show_tabs(true);
   notebook1->set_tab_border(3);
   notebook1->pages().push_back(Gtk::Notebook_Helpers::TabElem(*frame2, *label4));
   notebook1->pages().push_back(Gtk::Notebook_Helpers::TabElem(*label10, *label5));
   notebook1->pages().push_back(Gtk::Notebook_Helpers::TabElem(*label11, *label6));
   tree1->set_selection_mode(GTK_SELECTION_SINGLE);
   tree1->set_view_mode(GTK_TREE_VIEW_LINE);
   tree1->set_view_lines(true);
   ctree1->set_flags(GTK_CAN_FOCUS);
   ctree1->set_column_title(0, "label7");
   ctree1->set_column_justification(0, GTK_JUSTIFY_CENTER);
   ctree1->set_column_width(0, 80);
   ctree1->set_column_title(1, "label8");
   ctree1->set_column_justification(1, GTK_JUSTIFY_CENTER);
   ctree1->set_column_width(1, 80);
   ctree1->set_column_title(2, "label9");
   ctree1->set_column_justification(2, GTK_JUSTIFY_CENTER);
   ctree1->set_column_width(2, 80);
   ctree1->column_titles_show();
   scrolledwindow2->set_policy(GTK_POLICY_ALWAYS, GTK_POLICY_ALWAYS);
   scrolledwindow2->add(*ctree1);
   table1->attach(*frame1, 0, 1, 2, 3, GTK_EXPAND|GTK_FILL, GTK_EXPAND|GTK_FILL, 0, 0);
   table1->attach(*WidgetNote, 1, 2, 1, 2, GTK_FILL, 0, 0, 0);
   table1->attach(*pixmap1, 1, 2, 2, 3, GTK_FILL, GTK_FILL, 0, 0);
   table1->attach(*notebook1, 2, 3, 2, 3, GTK_EXPAND|GTK_FILL, GTK_FILL, 0, 0);
   table1->attach(*tree1, 0, 1, 0, 1, GTK_FILL, GTK_EXPAND|GTK_FILL, 0, 0);
   table1->attach(*list1, 0, 1, 1, 2, GTK_FILL, GTK_FILL, 0, 0);
   table1->attach(*scrolledwindow2, 2, 3, 0, 1, GTK_FILL, GTK_FILL, 0, 0);
   window1->set_title("window1");
   window1->add(*table1);
   clist1->show();
   scrolledwindow1->show();
   frame1->show();
   pixmap1->show();
   button1->show();
   frame2->show();
   label4->show();
   label10->show();
   label5->show();
   label11->show();
   label6->show();
   notebook1->show();
   tree1->show();
   list1->show();
   ctree1->show();
   scrolledwindow2->show();
   table1->show();
   WidgetNote->show_all();
   window1->show();
   button1->clicked.connect(slot(this, &windownote::button1_clicked_cb));
   this->destroy.connect( Gtk::Main::quit.slot() );
}

void windownote::button1_clicked_cb(void)
{
  static bool texted = false;
  if (texted) 
    {
    WidgetNote->clear();
    texted = false;
    }
  else
    {
      WidgetNote->add_text("blah blah");
      texted = true;
    }
  
  return;
}

windownote::~windownote()
{  
}
